<?php
include_once(ROOT_PATH."application/socket/model/UserModel.php");//uesrModel

class user extends base {

    public function list()
    {
        $userModel = new \socket\model\UserModel();
        $data = $userModel->getData();
        $reData = json_encode(array('c'=>1,'msg'=>'success','d'=>array('info'=>$data)));
        $this->server->push($this->fd, $reData);
    }

    public function info()
    {
        $userModel = new \socket\model\UserModel();
        $data = $userModel->getOne();
        $reData = json_encode(array('c'=>1,'msg'=>'success','d'=>array('info'=>$data)));
        $this->server->push($this->fd, $reData);
    }


    public function onlineNum()
    {
        $reData = json_encode(array('c'=>1,'msg'=>'success','d'=>array('num'=>count($GLOBALS['USER_LIST']))));
        $this->server->push($this->fd, $reData);
    }
   
    public function uid()
    {
        $uid = get_user_uid($this->fd);
        $result = array(
            'c'=>1
            ,'msg'=>'登录成功'
            ,'d'=>array('uid'=>$uid)
        );
        $this->server->push($this->fd, json_encode($result));
    }


    public function login() {
        if(empty($this->reqData['uid'])) {
            $result = array(
                'c'=>2
                ,'msg'=>$this->reqData['uid']
            );
        } else {
            $GLOBALS['USER_LIST']->set($this->reqData['uid'],array('fd'=>$this->fd));
            $result = array(
                'c'=>1
                ,'msg'=>'登录成功'
            );
        }
        $this->server->push($this->fd, json_encode($result));
    }

    public function cache() {
        $data = $GLOBALS['redisDB']->get('hezijp001');
        $reData = json_encode(array('c'=>1,'msg'=>'success','d'=>array('list'=>json_decode($data,true))));
        $this->server->push($this->fd, $reData);
    }

    public function msg() {
        if(empty($this->reqData['uid'])) {
            $result = array(
                'c'=>2
                ,'msg'=>'uid参数不存在'
            );
        } else {
            $fd = get_user_fd($this->reqData['uid']);
            if(!empty($fd)) {
                //消息发送者
                $send1 = array(
                    'c'=>1
                    ,'msg'=>'发送成功'
                );
                $this->server->push($this->fd, json_encode($send1));
                
                //消息结束者
                $send2 = array(
                    'c'=>1
                    ,'msg'=>'接收到新信息'
                    ,'d'=>array('uid'=>get_user_uid($this->fd),'text'=>$this->reqData['text'])
                );
                $this->server->push($fd, json_encode($send2));
                return 'success';
            } else {
                $result = array(
                    'c'=>2
                    ,'msg'=>'uid参数错误'
                );
            }


        }
        $this->server->push($this->fd, json_encode($result));
        return 'fail';
    }

}